<script src="./Script.js"></script>

<template>
  <div id="m_ver_menu" class="nt-settings-sidebar-menu">
    <ul class="nt-settings-sidebar-menu-nav">
      <h3 class="nt-settings-sidebar-menu-head">Mục lục</h3>
      <li
        class="nt-settings-sidebar-menu-item"
        :class="getClassParent('information')"
        aria-haspopup="true"
      >
        <a href="javascript:;" class="nt-settings-sidebar-menu-item-toggle">
          <span class="m-menu__link-text nt-settings-sidebar-item-text">
            <i class="icon icon-menu"></i>Quản lý trường thông tin
          </span>
          <i class="la la-angle-right nt-settings-sidebar-item-icon"></i>
        </a>
        <div class="nt-settings-sidebar-submenu">
          <span class="nt-settings-sidebar-submenu-arrow"></span>
          <ul
            class="nt-settings-sidebar-menu-subnav"
            :style="{display : getDisplaySubMenu('information')}"
          >
            <li
              class="nt-settings-sidebar-menu-subitem"
              :class="getClassChildren('SettingsInfoCustomer')"
            >
              <router-link
                class="m-menu__link m-nav__link"
                :to="{name : 'SettingsInfoCustomer', params : {team_id : currentTeam.team_id} }"
              >
                <i class="la la-circle-thin nt-settings-sidebar-menu-subitem-icon"></i>
                <span class="nt-settings-sidebar-menu-subitem-text">Khách hàng</span>
              </router-link>
            </li>
            <li
              class="nt-settings-sidebar-menu-subitem"
              :class="getClassChildren('SettingsInfoDeal')"
            >
              <router-link
                class="m-menu__link m-nav__link"
                :to="{name : 'SettingsInfoDeal', params : {team_id : currentTeam.team_id} }"
              >
                <i class="la la-circle-thin nt-settings-sidebar-menu-subitem-icon"></i>
                <span class="nt-settings-sidebar-menu-subitem-text">Giao dịch</span>
              </router-link>
            </li>
          </ul>
        </div>
      </li>
      <li
        class="nt-settings-sidebar-menu-item"
        :class="getClassParent('permission')"
        aria-haspopup="true"
      >
        <router-link
          class="m-menu__link m-nav__link"
          :to="{name : 'SettingsPermission', params : {team_id : currentTeam.team_id} }"
        >
          <span class="m-menu__link-text nt-settings-sidebar-item-text">
            <i class="icon icon-branching"></i>Phân quyền người dùng
          </span>
        </router-link>
      </li>
      <li
        class="nt-settings-sidebar-menu-item"
        :class="getClassParent('trash')"
        aria-haspopup="true"
      >
        <a href="javascript:;" class="nt-settings-sidebar-menu-item-toggle">
          <span class="m-menu__link-text nt-settings-sidebar-item-text">
            <i class="icon icon-trash-1"></i>Danh sách xoá tạm
          </span>
          <i class="la la-angle-right nt-settings-sidebar-item-icon"></i>
        </a>
        <div class="nt-settings-sidebar-submenu">
          <span class="nt-settings-sidebar-submenu-arrow"></span>
          <ul
            class="nt-settings-sidebar-menu-subnav"
            :style="{display : getDisplaySubMenu('trash')}"
          >
            <li
              class="nt-settings-sidebar-menu-subitem"
              :class="getClassChildren('SettingsTrashCustomer')"
            >
              <router-link
                class="m-menu__link m-nav__link"
                :to="{name : 'SettingsTrashCustomer', params : {team_id : currentTeam.team_id} }"
              >
                <i class="la la-circle-thin nt-settings-sidebar-menu-subitem-icon"></i>
                <span class="nt-settings-sidebar-menu-subitem-text">Khách hàng</span>
              </router-link>
            </li>
            <li
              class="nt-settings-sidebar-menu-subitem"
              :class="getClassChildren('SettingsTrashProduct')"
            >
              <router-link
                class="m-menu__link m-nav__link"
                :to="{name : 'SettingsTrashProduct', params : {team_id : currentTeam.team_id} }"
              >
                <i class="la la-circle-thin nt-settings-sidebar-menu-subitem-icon"></i>
                <span class="nt-settings-sidebar-menu-subitem-text">Sản phẩm</span>
              </router-link>
            </li>
          </ul>
        </div>
      </li>
    </ul>
  </div>
</template>
